> ## Documentation Index
> Fetch the complete documentation index at: https://developer.qminder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Calling a ticket



## OpenAPI

````yaml /api-reference/openapi.json post /v1/tickets/{id}/call
openapi: 3.1.0
info:
  title: Qminder API
  version: '1.0'
  description: >-
    The Qminder API allows you to integrate queue management into your own
    applications.
servers:
  - url: https://api.qminder.com
security:
  - sec0: []
tags:
  - name: Locations
    description: Manage physical service locations
  - name: Lines
    description: Manage virtual queues within locations
  - name: Input Fields
    description: Manage custom data fields for locations
  - name: Tickets
    description: Manage visitor queue entries
  - name: Appointments
    description: Manage scheduled appointments
  - name: Users
    description: Manage user accounts and permissions
  - name: Webhooks
    description: Manage webhook subscriptions
paths:
  /v1/tickets/{id}/call:
    post:
      tags:
        - Tickets
      summary: Calling a ticket
      operationId: calling-a-ticket
      parameters:
        - name: id
          in: path
          description: ID of the ticket to call
          schema:
            type: string
          required: true
        - name: desk
          in: query
          description: Optional. The desk where the ticket will be called.
          schema:
            type: integer
            format: int32
        - name: user
          in: query
          description: Optional. The user who is calling the ticket.
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "statusCode": 200,
                      "id": "51999102",
                      "status": "CALLED",
                      "source": "MANUAL",
                      "line": 88100,
                      "firstName": "Jane",
                      "lastName": "Doe",
                      "orderAfter": "2017-05-17T14:01:35.736Z",
                      "created": {
                        "date": "2021-09-13T13:49:54.735Z"
                      },
                      "labels": [
                        {
                          "value": "VIP",
                          "color": "FF00FF"
                        }
                      ],
                      "extra": [
                        {
                          "title": "Notes",
                          "value": "assistance required"
                        }
                      ],
                      "called": {
                        "date": "2021-09-22T08:11:18.572Z",
                        "caller": 15144
                      },
                      "assigned": {
                        "assigner": 15100,
                        "assignee": 15144
                      }
                    }
              schema:
                type: object
                properties:
                  statusCode:
                    type: integer
                    example: 200
                    default: 0
                  id:
                    type: string
                    example: '51999102'
                  status:
                    type: string
                    example: CALLED
                  source:
                    type: string
                    example: MANUAL
                  line:
                    type: integer
                    example: 88100
                    default: 0
                  firstName:
                    type: string
                    example: Jane
                  lastName:
                    type: string
                    example: Doe
                  orderAfter:
                    type: string
                    example: '2017-05-17T14:01:35.736Z'
                  created:
                    type: object
                    properties:
                      date:
                        type: string
                        example: '2021-09-13T13:49:54.735Z'
                  labels:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          example: VIP
                        color:
                          type: string
                          example: FF00FF
                  extra:
                    type: array
                    items:
                      type: object
                      properties:
                        title:
                          type: string
                          example: Notes
                        value:
                          type: string
                          example: assistance required
                  called:
                    type: object
                    properties:
                      date:
                        type: string
                        example: '2021-09-22T08:11:18.572Z'
                      caller:
                        type: integer
                        example: 15144
                        default: 0
                  assigned:
                    type: object
                    properties:
                      assigner:
                        type: integer
                        example: 15100
                        default: 0
                      assignee:
                        type: integer
                        example: 15144
                        default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Qminder-REST-API-Key
      x-default: yourbusinessapikey

````